﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MouseWheelTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            
            c1OutBar1.MouseWheel += new MouseEventHandler(c1OutBar1_MouseWheel);
            c1CommandHolder1.CommandClick += new C1.Win.C1Command.CommandClickEventHandler(c1CommandHolder1_CommandClick);
        }

        void c1CommandHolder1_CommandClick(object sender, C1.Win.C1Command.CommandClickEventArgs e)
        {
            // OutBar should be in focus to receive mouse wheel messages.
            c1OutBar1.Focus();
        }

        void c1OutBar1_MouseWheel(object sender, MouseEventArgs e)
       {
           if (e.Delta < 0)
               c1OutBar1.ScrollDown(1);
             
           else
               c1OutBar1.ScrollUp(1);
       }
    }
}
